Summary: Halified CUPS utilities 
Name: hal-cups-utils
Version: 0.5.2
Release: 8.2%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.bz2
Source1: printer_remove.hal
Source2: printer_update.hal
Patch0: hal-cups-utils-0.5.2-sighup.patch
Patch1: hal-cups-utils-0.5.2-daemon.patch
Patch2: hal-cups-utils-0.5.2-removegdk.patch
Patch3: hal-cups-utils-0.5.2-matchdriver.patch
Patch4: hal-cups-utils-0.5.2-use_usb_if_null.patch
Patch5: hal-cups-utils-libhal-api.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2
BuildRequires: dbus-devel
BuildRequires: hal-devel
BuildRequires: cups-devel
BuildRequires: system-config-printer
Requires: hal 
Requires: cups
Requires: glib2 
Requires: system-config-printer

%description
Halified utilities for CUPS:
	- hal_lpadmin
	- hal CUPS backend

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .sighup
%patch1 -p1 -b .daemon
%patch2 -p1 -b .removegdk
%patch3 -p1 -b .matchdriver
%patch4 -p1 -b .use_usb_if_null
%patch5 -p1 -b .libhal-api
autoreconf -f -i

%build

%configure --enable-printconf 

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -p -D %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/hal/device.d/printer_remove.hal
install -p -D %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/hal/capability.d/printer_update.hal

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cups-config-daemon 

if [ $1 -eq 1 ]; then
	/sbin/service cups-config-daemon start > /dev/null 2>&1
else 
	/sbin/service cups-config-daemon condrestart > /dev/null 2>&1
fi

%preun
if [ $1 = 0 ]; then
    service cups-config-daemon stop > /dev/null 2>&1
    /sbin/chkconfig --del cups-config-daemon 
fi

%postun
if [ "$1" -ge "1" ]; then
  service cups-config-daemon condrestart > /dev/null 2>&1
fi


%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%{_bindir}/cups-config-daemon
%{_sbindir}/hal_lpadmin
%{_libdir}/cups/backend/hal
%{_sysconfdir}/hal/device.d/printer_remove.hal
%{_sysconfdir}/hal/capability.d/printer_update.hal
%{_sysconfdir}/dbus-1/system.d/cups-config-daemon-dbus.conf
%{_sysconfdir}/rc.d/init.d/cups-config-daemon

%changelog
* Fri Jul 27 2007 Tim Waugh <twaugh@redhat.com> 0.5.2-8.2
- Better libhal API usage fix (bug #217046).

* Tue Jul  3 2007 Tim Waugh <twaugh@redhat.com> 0.5.2-8.1
- Avoid incorrect use of the libhal API (bug #217046).

* Fri Oct 22 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-8
- use_usb_if_null patch makes sure that the make and model of the 
  printer is never null even if hal does not populate the
  printer.vendor and info.product fields.  (Bug #136666)
- (printer_update.hal, printer_remove.hal): Use $UDI instead of 
  $HAL_PROP_INFO_UDI which in some instances may not be populated

* Tue Oct 12 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-7
- Add MatchDriver DBUS method call patch so we can check if the printer has a driver

* Wed Oct 06 2004 John (J5) Palmieri <johnp@redhat.com> - 0.5.2-6
- Add Colin Walter's daemon patch
- Add BuildRequires for glib
- Add patch to take out gdk from configure.in
- Restart cups-config-daemon in the post

* Tue Oct 04 2004 John (J5) Palmieri <johnp@redhat.com>
- Patch now calls killall -SIGHUP cupsd if pid file is wrong or does not exist.
  This is mainly for older cups versions which do not output a pid file.

* Fri Oct 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Fixed sighup to check for sbin instead of bin for cupsd pid check

* Thu Sep 30 2004 John (J5) Palmieri <johnp@redhat.com>
- Patch to use sighup on cups instead of restarting it

* Tue Sep 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.2

* Tue Sep 01 2004 John (J5) Palmieri <johnp@redhat.com>
- Chaned the hal callout srcipts to have a .hal extention 

* Tue Aug 31 2004 John (J5) Palmieri <johnp@redhat.com>
- Add build requirement on dbus-devel and system-config-printer 

* Tue Aug 31 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.1

* Fri Aug 27 2004 John (J5) Palmieri <johnp@redhat.com>
- Update to 0.5.0

* Wed Aug 18 2004 John (J5) Palmieri <johnp@redhat.com>
- Updated to 0.4.0

* Thu Aug 11 2004 John (J5) Palmieri <johnp@redhat.com>
- Added the --enable-printconf flag to configure so that we autodetect drivers

* Thu Aug 11 2004 John (J5) Palmieri <johnp@redhat.com>
- Upgrade to version 0.3.1
- Add update-printer.sh and remove-printer.sh HAL callouts 

* Wed Jul 28 2004 John (J5) Palmieri <johnp@redhat.com>
- Initial checkin to package repository

